{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CAN_ID"; 
            externalType = NUMBER; 
            name = canId; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "conv_Ordre"; 
            externalType = NUMBER; 
            name = convOrdre; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DEP_ID"; 
            externalType = NUMBER; 
            name = depId; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "GES_CODE"; 
            externalType = VARCHAR2; 
            name = gesCode; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "ID_BS"; 
            externalType = VARCHAR2; 
            name = idBs; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "LIQ_ETAT"; 
            externalType = VARCHAR2; 
            name = liqEtat; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "LIQ_ID"; 
            externalType = NUMBER; 
            name = liqId; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "LIQ_MONTANT"; 
            externalType = NUMBER; 
            name = liqMontant; 
            precision = 12; 
            scale = 2; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LIQ_OBSERVATION"; 
            externalType = VARCHAR2; 
            name = liqObservation; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = "LOLF_ID"; 
            externalType = NUMBER; 
            name = lolfId; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "mois_code"; 
            externalType = NUMBER; 
            name = moisCode; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "org_Id"; 
            externalType = NUMBER; 
            name = orgId; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "tcd_Ordre"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            userInfo = {"_EntityModeler" = {generateSource = NO; }; }; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        canId, 
        convOrdre, 
        depId, 
        exeOrdre, 
        gesCode, 
        idBs, 
        liqEtat, 
        liqId, 
        liqObservation, 
        lolfId, 
        moisCode, 
        orgId, 
        pcoNum, 
        tcdOrdre
    ); 
    className = "org.cocktail.kaki.server.metier.EOPafLiquidationsDetail"; 
    classProperties = (
        canal, 
        convention, 
        depId, 
        exeOrdre, 
        gesCode, 
        idBs, 
        liqEtat, 
        liqMontant, 
        liqObservation, 
        lolf, 
        organ, 
        planComptable, 
        toMois, 
        typeCredit
    ); 
    externalName = "jefy_paf.PAF_LIQUIDATIONS_DETAIL"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            canal, 
            convention, 
            depId, 
            exeOrdre, 
            gesCode, 
            idBs, 
            liqEtat, 
            liqMontant, 
            liqObservation, 
            lolf, 
            organ, 
            planComptable, 
            toMois, 
            typeCredit
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOPafLiquidationsDetail"; 
    }; 
    name = PafLiquidationsDetail; 
    primaryKeyAttributes = (liqId); 
    relationships = (
        {
            destination = CodeAnalytique; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = canId; sourceAttribute = canId; }); 
            name = canal; 
        }, 
        {
            destination = Convention; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = convOrdre; }); 
            name = convention; 
        }, 
        {
            destination = "ca_LolfNomenclatureDepense"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = lolfId; sourceAttribute = lolfId; }); 
            name = lolf; 
        }, 
        {
            destination = "ca_Organ"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = PlanComptableExer; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }, 
                {destinationAttribute = pcoNum; sourceAttribute = pcoNum; }
            ); 
            name = planComptable; 
        }, 
        {
            destination = Mois; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = moisCode; sourceAttribute = moisCode; }); 
            name = toMois; 
        }, 
        {
            destination = "ca_TypeCredit"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }
    ); 
}
